#
# spec file for package python-evtx
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-evtx
Version:        0.5.3b
Release:        5.1
Summary:        Windows Event Log files parser
License:        Apache-2.0
Group:          Development/Libraries/Python
URL:            https://github.com/williballenthin/%{name}
Source:         https://github.com/williballenthin/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if 0%{?suse_version}
BuildArch:      noarch
%endif
%python_subpackages

%description
python-evtx is a pure Python parser for recent Windows Event Log files (those
with the file extension ".evtx"). The module provides programmatic access to the
File and Chunk headers, record templates, and event entries. For example, you
can use python-evtx to review the event logs of Windows 7 systems from a Mac or
Linux workstation. The structure definitions and parsing strategies were heavily
inspired by the work of Andreas Schuster and his Perl implementation
"Parse-Evtx".

%prep
%setup -q
find Evtx -name "*.py" | xargs sed -i '1 { /^#!/ d }'

%build
%python_build

%install
%python_install
mkdir -p %{buildroot}%{_bindir}
for script in evtxdump.py evtxinfo.py; do
  sed -i -e 's:^#!/usr/bin/env python:#!/usr/bin/python3:' scripts/$script
  dos2unix scripts/$script
  install -m 0755 scripts/$script %{buildroot}%{_bindir}/$script
done

%fdupes %{buildroot}

%files %{python_files}
%license LICENSE.TXT
%doc README.md
%{python_sitelib}/*
%python3_only %{_bindir}/evtxdump.py
%python3_only %{_bindir}/evtxinfo.py

%changelog
* Fri Mar 15 2019 hpj@urpla.net
- fix shebang interpreter handling
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Wed May  3 2017 cbosdonnat@suse.com
- Update to 0.5.3
* Tue Apr 26 2016 cbosdonnat@suse.com
- Version 0.3.1
